# Use the app.rb file to load Ruby code, modify or extend the models, or
# do whatever else you fancy when the theme is loaded.

module Nesta
  class App
   
    use Rack::Static, :urls => ['/favicon.png', '/favicon.ico', '/moshi'], :root => 'themes/moshi/public' 
    
    # Totally replace these with your own information
    # These are used through the theme for different social networks
    # If you do not want to use one, simply set it to nil
    NAME = "Your Name"
    EMAIL = "youremail@yourdomain.com"
    TWITTER = "twitter_username"
    GITHUB = "github_username"

    helpers do

    end

    # If a page is flagged as commented, then enable comments
    # else Disqus will not be displayed
    #
    # Add 'Flags: commented' to enable comments
    def enable_comments?
      @page.flagged_as?('commented')
    end

    # If a page is flagged as hide_sidebar, then hide the sidebar
    # else the sidebar will be displayed
    #
    # Add 'Flags: hide_sidebar' to hide the sidebar
    def disable_sidebar?
      @page.flagged_as?('hide_sidebar')
    end

    # Snatches the latest 100 tweets of the specified twitter user
    # Loops through and removes any tweets that are replies
    def get_recent_vanilla_tweets(username, number_of_tweets)
      Twitter.user_timeline(username, {:count=>100}).keep_if {|tweet|
        tweet.in_reply_to_user_id == nil
      }.slice(0, number_of_tweets)
    end
  end
end
